import { StiChangesInterceptor } from "./interfaces";
export default class Color {
    static aliceBlue(): Color;
    static antiqueWhite(): Color;
    static aqua(): Color;
    static aquamarine(): Color;
    static azure(): Color;
    static beige(): Color;
    static bisque(): Color;
    static black(): Color;
    static blanchedAlmond(): Color;
    static blue(): Color;
    static blueViolet(): Color;
    static brown(): Color;
    static burlyWood(): Color;
    static cadetBlue(): Color;
    static chartreuse(): Color;
    static chocolate(): Color;
    static coral(): Color;
    static cornflowerBlue(): Color;
    static cornsilk(): Color;
    static crimson(): Color;
    static cyan(): Color;
    static darkBlue(): Color;
    static darkCyan(): Color;
    static darkGoldenrod(): Color;
    static darkGray(): Color;
    static darkGreen(): Color;
    static darkKhaki(): Color;
    static darkMagenta(): Color;
    static darkOliveGreen(): Color;
    static darkOrange(): Color;
    static darkOrchid(): Color;
    static darkRed(): Color;
    static darkSalmon(): Color;
    static darkSeaGreen(): Color;
    static darkSlateBlue(): Color;
    static darkSlateGray(): Color;
    static darkTurquoise(): Color;
    static darkViolet(): Color;
    static deepPink(): Color;
    static deepSkyBlue(): Color;
    static dimGray(): Color;
    static dodgerBlue(): Color;
    static firebrick(): Color;
    static floralWhite(): Color;
    static forestGreen(): Color;
    static fuchsia(): Color;
    static gainsboro(): Color;
    static ghostWhite(): Color;
    static gold(): Color;
    static goldenrod(): Color;
    static gray(): Color;
    static green(): Color;
    static greenYellow(): Color;
    static honeydew(): Color;
    static hotPink(): Color;
    static indianRed(): Color;
    static indigo(): Color;
    static ivory(): Color;
    static khaki(): Color;
    static lavender(): Color;
    static lavenderBlush(): Color;
    static lawnGreen(): Color;
    static lemonChiffon(): Color;
    static lightBlue(): Color;
    static lightCoral(): Color;
    static lightCyan(): Color;
    static lightGoldenrodYellow(): Color;
    static lightGray(): Color;
    static lightGreen(): Color;
    static lightPink(): Color;
    static lightSalmon(): Color;
    static lightSeaGreen(): Color;
    static lightSkyBlue(): Color;
    static lightSlateGray(): Color;
    static lightSteelBlue(): Color;
    static lightYellow(): Color;
    static lime(): Color;
    static limeGreen(): Color;
    static linen(): Color;
    static magenta(): Color;
    static maroon(): Color;
    static mediumAquamarine(): Color;
    static mediumBlue(): Color;
    static mediumOrchid(): Color;
    static mediumPurple(): Color;
    static mediumSeaGreen(): Color;
    static mediumSlateBlue(): Color;
    static mediumSpringGreen(): Color;
    static mediumTurquoise(): Color;
    static mediumVioletRed(): Color;
    static midnightBlue(): Color;
    static mintCream(): Color;
    static mistyRose(): Color;
    static moccasin(): Color;
    static navajoWhite(): Color;
    static navy(): Color;
    static oldLace(): Color;
    static olive(): Color;
    static oliveDrab(): Color;
    static orange(): Color;
    static orangeRed(): Color;
    static orchid(): Color;
    static paleGoldenrod(): Color;
    static paleGreen(): Color;
    static paleTurquoise(): Color;
    static paleVioletRed(): Color;
    static papayaWhip(): Color;
    static peachPuff(): Color;
    static peru(): Color;
    static pink(): Color;
    static plum(): Color;
    static powderBlue(): Color;
    static purple(): Color;
    static red(): Color;
    static rosyBrown(): Color;
    static royalBlue(): Color;
    static saddleBrown(): Color;
    static salmon(): Color;
    static sandyBrown(): Color;
    static seaGreen(): Color;
    static seaShell(): Color;
    static sienna(): Color;
    static silver(): Color;
    static skyBlue(): Color;
    static slateBlue(): Color;
    static slateGray(): Color;
    static snow(): Color;
    static springGreen(): Color;
    static steelBlue(): Color;
    static tan(): Color;
    static teal(): Color;
    static thistle(): Color;
    static tomato(): Color;
    static turquoise(): Color;
    static violet(): Color;
    static wheat(): Color;
    static white(): Color;
    static whiteSmoke(): Color;
    static yellow(): Color;
    static yellowGreen(): Color;
    static transparent(): Color;
    static empty(): Color;
    static fromName(name: string): Color;
    static isNullOrEmpty(value: string): boolean;
    clone(): Color;
    private savedColor;
    changesInterceptor: StiChangesInterceptor;
    propertyName: string;
    isChanged(): boolean;
    resetChanged(): void;
    private _a;
    get a(): number;
    set a(value: number);
    private _r;
    get r(): number;
    set r(value: number);
    private _g;
    get g(): number;
    set g(value: number);
    private _b;
    get b(): number;
    set b(value: number);
    private static customName;
    name: string;
    get isNamedColor(): boolean;
    equals(color: Color): boolean;
    static fromArgb(alpha: number, red?: any, green?: number, blue?: number): Color;
    toArgb(): number;
    componentToHex(c: number): string;
    getHashCode(): number;
    toHtmlColor(): string;
    toHexColor(): string;
    get hexColor(): string;
    getStringName(): string;
    set hexColor(value: string);
    toString(): string;
    deserializeFromString(value: string): void;
}
